com.mysql.jdbc

## Class ConnectionPropertiesImpl.BooleanConnectionProperty

- java.lang.Object
- - com.mysql.jdbc.ConnectionPropertiesImpl.ConnectionProperty
  - - com.mysql.jdbc.ConnectionPropertiesImpl.BooleanConnectionProperty

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ConnectionPropertiesImpl

    static class ConnectionPropertiesImpl.BooleanConnectionProperty
    extends ConnectionPropertiesImpl.ConnectionProperty
    implements java.io.Serializable

### Field Summary

### Fields inherited from class com.mysql.jdbc.ConnectionPropertiesImpl.ConnectionProperty

`allowableValues, categoryName, defaultValue, description, lowerBound, order, propertyName, required, sinceVersion, upperBound, valueAsObject`

### Constructor Summary

Constructors
Constructor and Description
`ConnectionPropertiesImpl.BooleanConnectionProperty(java.lang.String propertyNameToSet, boolean defaultValueToSet, java.lang.String descriptionToSet, java.lang.String sinceVersionToSet, java.lang.String category, int orderInCategory)` DOCUMENT ME!

### Method Summary

Methods
`(package private) java.lang.String[]` `getAllowableValues()`
`(package private) boolean` `getValueAsBoolean()`
`(package private) boolean` `hasValueConstraints()`
`(package private) void` `initializeFrom(java.lang.String extractedValue, ExceptionInterceptor exceptionInterceptor)`
`(package private) boolean` `isRangeBased()`
`(package private) void` `setValue(boolean valueFlag)`

### Methods inherited from class com.mysql.jdbc.ConnectionPropertiesImpl.ConnectionProperty

`getAsDriverPropertyInfo, getCategoryName, getDefaultValue, getLowerBound, getOrder, getPropertyName, getUpperBound, getValueAsObject, initializeFrom, initializeFrom, setCategoryName, setOrder, setValueAsObject, storeTo, validateStringValues`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectionPropertiesImpl.BooleanConnectionProperty

    ConnectionPropertiesImpl.BooleanConnectionProperty(java.lang.String propertyNameToSet,
                                                      boolean defaultValueToSet,
                                                      java.lang.String descriptionToSet,
                                                      java.lang.String sinceVersionToSet,
                                                      java.lang.String category,
                                                      int orderInCategory)

DOCUMENT ME!

Parameters:
  `propertyNameToSet` -
  `defaultValueToSet` -
  `descriptionToSet` - DOCUMENT ME!
  `sinceVersionToSet` - DOCUMENT ME!

### Method Detail

#### getAllowableValues

    java.lang.String[] getAllowableValues()

Overrides:
  `getAllowableValues` in class `ConnectionPropertiesImpl.ConnectionProperty`
See Also:
  `ConnectionPropertiesImpl.ConnectionProperty.getAllowableValues()`

#### getValueAsBoolean

    boolean getValueAsBoolean()

#### hasValueConstraints

    boolean hasValueConstraints()

Specified by:
  `hasValueConstraints` in class `ConnectionPropertiesImpl.ConnectionProperty`
See Also:
  `ConnectionPropertiesImpl.ConnectionProperty.hasValueConstraints()`

#### initializeFrom

    void initializeFrom(java.lang.String extractedValue,
                      ExceptionInterceptor exceptionInterceptor)
                  throws java.sql.SQLException

Specified by:
  `initializeFrom` in class `ConnectionPropertiesImpl.ConnectionProperty`
Throws:
  `java.sql.SQLException`
See Also:
  `com.mysql.jdbc.ConnectionPropertiesImpl.ConnectionProperty#initializeFrom(java.util.Properties)`

#### isRangeBased

    boolean isRangeBased()

Specified by:
  `isRangeBased` in class `ConnectionPropertiesImpl.ConnectionProperty`
See Also:
  `ConnectionPropertiesImpl.ConnectionProperty.isRangeBased()`

#### setValue

    void setValue(boolean valueFlag)